package de.ivu.elect.sitzberechnung.konflikt;


import javax.annotation.Nullable;

public abstract class AbstractErgebnisKonflikt implements ErgebnisKonflikt {

  private final ErgebnisKonfliktStatus ergebnisKonfliktStatus;
  private final long position;
  private Object ergebnisKonfliktPersistent; // Für ErgebnisKonflikt in elect

  protected AbstractErgebnisKonflikt(ErgebnisKonfliktStatus ergebnisKonfliktStatus, long position) {
    this.ergebnisKonfliktStatus = ergebnisKonfliktStatus;
    this.position = position;
  }

  @Override
  public ErgebnisKonfliktStatus getErgebnisKonfliktStatus() {
    return ergebnisKonfliktStatus;
  }

  @Override
  public long getPosition() {
    return position;
  }

  @Nullable
  public Object getErgebnisKonfliktPersistent() {
    return ergebnisKonfliktPersistent;
  }

  public void setErgebnisKonfliktPersistent(Object ergebnisKonfliktPersistent) {
    this.ergebnisKonfliktPersistent = ergebnisKonfliktPersistent;
  }
}
